import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
/** 产品列表  */
export async function GetProductPage(data) {
     return request(getDataBaseUrl()+`/api/product/page`, {
      method: 'POST',
      data: data,
    });
  }

  /** 添加产品  */
export async function AddProduct(data) {
    return request(getDataBaseUrl()+`/api/product/add`, {
     method: 'POST',
     data: data,
     // params: { ...params },
     // ...(options || {}),
   });
 }

   /** 删除产品  */
export async function DelProduct(data) {
    return request(getDataBaseUrl()+`​/api/product/delete`, {
     method: 'POST',
     data: data,
   });
 }

   /** 修改产品  */
export async function UpdateProduct(data) {
    return request(getDataBaseUrl()+`​/api/product/update`, {
     method: 'POST',
     data: data,
   });
 }

   /** 更新产品状态  */
 export async function UpdateStatus(data) {
  return request(getDataBaseUrl()+`​/api/product/updatestatus`, {
    method: 'POST',
    data: data,
 });
}

